package com.usoftchina.bi.server.model.po;

import java.io.Serializable;

public class ChartConfig implements Serializable{
    private int chartId;
    private String chartName;
    private String tableName;
    private String chartType;
    private int DataId;            //数据源id
//    private int dashboardsId;      //看板id
    private int chartsGroup;
    private String groupBy;        //分组
    private String Subsections;    //分段
    private String chartConfig;
    private String createBy;
    private int createId;
    private String accessAuthority;   //访问权限
    private String updateAuthority;    //修改权限
    private String describes;           //描述
    private String style;                //样式
    private String filters;          //筛选
    private String createDate; //数据类型
    private String updateDate; //数据类型
    private String chartOption;      //列表缩略图数据
    private String dataName;    //数据源名称
    private String fetchConfig;
    private boolean demo;
    private String dataConnectionId;
    private String dataConnectionName;
    private Integer from_id;//复制来源ID
    private Integer from_data_id;//复制数据源ID

    public Integer getFrom_id() {
        return from_id;
    }

    public void setFrom_id(Integer from_id) {
        this.from_id = from_id;
    }

    public Integer getFrom_data_id() {
        return from_data_id;
    }

    public void setFrom_data_id(Integer from_data_id) {
        this.from_data_id = from_data_id;
    }

    public String getDataConnectionId() {
        return dataConnectionId;
    }

    public void setDataConnectionId(String dataConnectionId) {
        this.dataConnectionId = dataConnectionId;
    }

    public String getDataConnectionName() {
        return dataConnectionName;
    }

    public void setDataConnectionName(String dataConnectionName) {
        this.dataConnectionName = dataConnectionName;
    }

    public boolean isDemo() {
        return demo;
    }

    public void setDemo(boolean demo) {
        this.demo = demo;
    }

    public String getFetchConfig() {
        return fetchConfig;
    }

    public void setFetchConfig(String fetchConfig) {
        this.fetchConfig = fetchConfig;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public int getCreateId() {
        return createId;
    }

    public void setCreateId(int createId) {
        this.createId = createId;
    }

    public int getChartsGroup() {
        return chartsGroup;
    }

    public void setChartsGroup(int chartsGroup) {
        this.chartsGroup = chartsGroup;
    }

    public int getChartId() {
        return chartId;
    }

    public void setChartId(int chartId) {
        this.chartId = chartId;
    }

    public String getChartName() {
        return chartName;
    }

    public void setChartName(String chartName) {
        this.chartName = chartName;
    }

    public String getChartType() {
        return chartType;
    }

    public void setChartType(String chartType) {
        this.chartType = chartType;
    }

    public int getDataId() {
        return DataId;
    }

    public void setDataId(int dataId) {
        DataId = dataId;
    }

    public String getGroupBy() {
        return groupBy;
    }

    public void setGroupBy(String groupBy) {
        this.groupBy = groupBy;
    }

    public String getSubsections() {
        return Subsections;
    }

    public void setSubsections(String subsections) {
        Subsections = subsections;
    }

    public String getChartConfig() {
        return chartConfig;
    }

    public void setChartConfig(String chartConfig) {
        this.chartConfig = chartConfig;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getAccessAuthority() {
        return accessAuthority;
    }

    public void setAccessAuthority(String accessAuthority) {
        this.accessAuthority = accessAuthority;
    }

    public String getUpdateAuthority() {
        return updateAuthority;
    }

    public void setUpdateAuthority(String updateAuthority) {
        this.updateAuthority = updateAuthority;
    }

    public String getDescribes() {
        return describes;
    }

    public void setDescribes(String describes) {
        this.describes = describes;
    }

    public String getStyle() {
        return style;
    }

    public void setStyle(String style) {
        this.style = style;
    }

    public String getFilters() {
        return filters;
    }

    public void setFilters(String filters) {
        this.filters = filters;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getChartOption() {
        return chartOption;
    }

    public void setChartOption(String chartOption) {
        this.chartOption = chartOption;
    }

    @Override
    public String toString() {
        return "ChartConfig{" +
                "chartId=" + chartId +
                ", chartName='" + chartName + '\'' +
                ", tableName='" + tableName + '\'' +
                ", chartType='" + chartType + '\'' +
                ", DataId=" + DataId +
                ", groupBy='" + groupBy + '\'' +
                ", Subsections='" + Subsections + '\'' +
                ", chartConfig='" + chartConfig + '\'' +
                ", createBy='" + createBy + '\'' +
                ", accessAuthority='" + accessAuthority + '\'' +
                ", updateAuthority='" + updateAuthority + '\'' +
                ", describes='" + describes + '\'' +
                ", style=" + style +
                ", filters='" + filters + '\'' +
                ", createDate='" + createDate + '\'' +
                ", updateDate='" + updateDate + '\'' +
                '}';
    }
}


